嗨,我需要帮助完成横截面lisp。此lisp使用*。地面txt文件
(示例ground1和ground 2)并绘制eatch ground的横截面。我需要帮助用地面标高和距离绘制桌子。
我想问我
1) 选择地面1/或地面,然后绘制表格(我需要有更改基准高程的选项)
lisp代码为
- (Defun c:test ()
- (progn
- (initget "1 2")
- (setq
- l
- (cond
- ((getkword
- "\nFor Ground1 (1)/ For Ground (2) < 1 > :"
- )
- )
- ("1")
- )
- )
- (if (eq l "1")
- (COMMAND "_layer" "_m" "Ground1" "_c" "94" "" "")
- )
- (if (eq l "2")
- (COMMAND "_layer" "_m" "Ground2" "_c" "10" "" "")
- )
- )
- (setq FH (getfiled "Select File L,H (*.txt)" "" "txt" 16))
- (setq fil (open FH "r"))
- (command "_.pline"); start Polyline
- (while (setq lin (read-line fil)) (command lin)); feed in coordinates
- (command ""); end Polyline
- (command "zoom" "e")
- (close fil)
- );End Defun
谢谢
地面1.txt
地面2.txt |